---
title: Cards
slug: apis/cards
description: Manage debit cards (virtual or physical) via Cross River Cards API for creation, activation, and transaction management.
docTags: 
createdAt: 2025-04-10T11:16:51.828Z
---

:::CtaButton{label="Card Concepts" docId="xJUtOOcHA5khMt9uzyS18" openInNewTab="true"}

:::

## Cards APIs

Cross River card issuing lets you offer customers different types of debit card products. These products, known as **instrument types**, include contact-less and virtual cards.&#x20;

:::hint{type="info"}
[Get started](docId\:Z-MVwOV-p00-xX082NabK) with Cross River APIs.
:::

**GET calls**

- Add query parameters to filter the response the API returns to general GET calls.
- Use [Pagination](docId:6EKvQUYWeVh9x4zxmuKlJ)  to control presentation of your results.

## API calls

| Action                                                          | API Call                                                              | Description                                                                               |
| --------------------------------------------------------------- | --------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| [Create new card](docId\:EJCciNVxb0oMKjA567gUM)                 | POST /cardmanagement/v1/cards                                         | Requests creation of a new card.                                                          |
| [Activate card by ID](docId\:E_U42earZiwDZOiIXuunI)             | POST /cardmanagement/v1/cards/&#x7B;id}/activate                      | Activates a card for a customer. This is the preferred way to activate a card.            |
| [Set PIN](docId\:yFZLDNDP2NxSd7hQ2tIKu)                         | PUT /cardmanagement/v1/cards/&#x7B;id}/pin                            | Sets the customer PIN.                                                                    |
| [Replace card by ID](docId\:AxI2pLSUCMHXDN8-vhCoH)              | POST /cardmanagement/v1/cards/&#x7B;id}/replace                       | Order a replacement for damaged, lost or stolen cards.                                    |
| [Card details](docId:8dktW3wHbpLKlAqXFwwmu)                     | GET<br />/cardmanagement/v1/cards                                     | Returns details about all cards based on the input.                                       |
| [Card details by ID](docId\:R5ZWm6VkWz-VS8_uVbZoH)              | GET /cardmanagement/v1/cards/&#x7B;id}                                | Returns the details of a specific debit card based on its ID.                             |
| [Transaction details by ID](docId\:nKkKZa00pXT9PveD3nfwm)       | GET /cardmanagement/v1/transactions/&#x7B;id}                         | Returns information about card transactions based on partner ID.                          |
| [Change card profile](docId\:P_TiF6EjyBAGbP4VsIEg6)             | PUT /cardmanagement/v1/cards/&#x7B;id}/profile                        | Retrieves the profile associated to a card.                                               |
| [Suspend card](docId\:K4JUvw-0ny1dOxTSOVNFx)                    | POST /cardmanagement/v1/cards/&#x7B;id}/suspend                       | Suspends a card based on card ID.                                                         |
| [Unsuspend card](docId\:m4ISy77gMgYBkgwRXliaX)                  | POST /cardmanagement/v1/cards/&#x7B;id}/unsuspend                     | Unsuspends a card based on card ID.                                                       |
| [Admin block](docId\:eRw0IIaPwTMvyz_stwvLJ)                     | POST<br />/cardmanagement/v1/cards/&#x7B;id}/admin-block              | Card blocked by admin. Status returned is suspended.<br />                                |
| [Close card](docId:9tDjvhU9S37a-7Cqj3VEJ)                       | POST cardmanagement/v1/cards/&#x7B;id}/close                          | Permanently deactivates a card. Closed cards cannot be reactivated.<br />                 |
| [Set card controls](docId\:r_Cxcl0l2UoyWkuuJpaJ1)               | PUT /cardmanagement/v1/cards/&#x7B;cardId}/controls                   | Limit the amount of money that can be spent through different channels in a given period. |
| [Get card controls](docId\:AT16WGXZGoV5cqFuFNPTP)               | GET /cardmanagement/v1/cards/&#x7B;cardId}/controls                   | Limit the amount of money that can be spent through different channels in a given period. |
| [Retrieve wallet tokens](docId\:XkoW0XYhCILYqvZGbtuRS)          | GET /cardmanagement/v1/cards/&#x7B;cardId}/tokens                     | Retrieve all wallet tokens associated with a card.                                        |
| [Retrieve specific wallet token](docId\:m4QVkVrG6emlcJBmOtz-7)  | GET<br />/cardmanagement/v1/cards/&#x7B;cardId}/tokens/&#x7B;tokenId} | Retrieve a specific wallet token by its Cross River token ID                              |
| [Update token status](docId\:oSHmkZDitQJD88th2HSXe)             | PUT /cardmanagement/v1/cards/&#x7B;cardId}/tokens/&#x7B;tokenId}      | Update token status (suspend, resume, delete).                                            |
| [3DS authentication details](docId\:Su5NVsUfruWN28v1O7gM8)      | GET<br />/cardmanagement/v1/3ds/&#x7B;id}                             | This API enables you to get your webhook event details.                                   |
| [Validate OUTOFBANDOTHER](docId:0-MnW4CrKX4T_GPrujleW)          | POST /cardmanagement/v1/3ds/&#x7B;id}/validate                        | Enables you to proactively notify when a transaction has completed.                       |

## Simulations - Sandbox only

| Action                                                                | API Call                                                           | Description                                                                                                                                                                                     |
| --------------------------------------------------------------------- | ------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Simulate card auth](docId\:KlhKL7f7udKCkg4lK2vWI)                    | POST<br />/cardmanagement/v1/simulate/authorization                | Simulates merchant authorization.                                                                                                                                                               |
| [Simulate card clearing](docId\:JkywJbbJ5vZss_4VYApdu)                | POST<br />/cardmanagement/v1/simulate/clearing                     | Simulates replacement of a memo post with a core transaction.                                                                                                                                   |
| [Simulate card reversal](docId:--Zu5qBy2bYatnKskhGMX)                 | POST<br />/cardmanagement/v1/simulate/reversal                     | Simulates the reversal an existing authorization. This reverses the original authorization placed on the account and removes it from the deposit account activity.                              |
| [Simulate card incremental](docId\:RTQomduN8IwgfOgeqZpav)             | POST<br />/cardmanagement/v1/simulate/incremental                  | Simulates an incremental transaction reflected in the deposit account activity. <br />                                                                                                          |
| [Simulate single-message-clearing](docId\:fOEhdDYZNvdGf-E2QnxL7)      | POST<br />/cardmanagement/v1/simulate/single-message-clearing      | Simulates verification and requires the cardholder to enter their PIN to authorize and clear their transaction.<br />                                                                           |
| [Simulate single-message-reversal](docId\:o5jr5Y2sCriIC2hagqXgL)      | POST<br />/cardmanagement/v1/simulate/single-message-reversal      | Simulates a reversal transaction to a single message clearing transaction.<br />                                                                                                                |
| [Simulate wallet provisioning approval](docId:23MdxOy5tf6TGyerC16so)  | POST /cardmanagement/v1/simulate/tokenization/approve-provisioning | Simulate an approval of a wallet provisioning request.                                                                                                                                          |
| [Simulate activation passcode](docId\:hF101EqWnlQ5O3x8PxtDl)          | POST /cardmanagement/v1/simulate/tokenization/send-passcode        | Simulate sending activation passcode to cardholder                                                                                                                                              |
| [Simulate tokenization completion](docId\:VZ-IrIKMkcgIK-OiM5-GA)      | POST<br />/cardmanagement/v1/simulate/tokenization/token-completed | Simulate completion of tokenization process.                                                                                                                                                    |
| [Simulate authentication](docId\:VDmgALvyG_2Gld_bUaJXf)               | POST /cardmanagement/v1/simulate/3ds/authenticate                  | Simulates a card transaction 3DS authentication with OTP (One-Time Passcode). The OTP will be sent to your chosen webhook URL or OOB (Out-of-band) that interacts with a 3rd party application. |

## Related topics&#x20;

- [Webhook events: Cards](docId\:paDKAtuyIo5w0YsAexxwl)&#x20;
- [Request and response codes: Cards](docId:6nTOAXWfuc2Rbx-vN4_sw)&#x20;
- [Error codes: Cards](docId\:vofiURcg2TMteqOAwVl74)&#x20;

## Tutorials

See our API tutorials to learn how to:

- [Create a card](docId\:RZZRD7am62-KTyv9G1n9-): Create and order a new card.
- [Activate a card](docId\:WZYv6QGm31LDTeAGrt2fc): Change the card status to Active. &#x20;
- [Simulate card management](docId\:cY6Inx4O9CeJ74FOVu7o6): Test the system with our card simulation endpoints.&#x20;

